summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/tests/control4
-rwxr-xr-xtests/tests/tagupl-baredebian27
2 files changed, 31 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
index 9bdce9d..d105f0b 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -68,6 +68,10 @@ Tests: tagupl
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl, git-debpush
+Tests: tagupl-baredebian
+Tests-Directory: tests/tests
+Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, quilt, git-debpush, git-debrebase, git-buildpackage, libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl
+
Tests: tagupl-native
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, git-debpush
diff --git a/tests/tests/tagupl-baredebian b/tests/tests/tagupl-baredebian
new file mode 100755
index 0000000..764debd
--- /dev/null
+++ b/tests/tests/tagupl-baredebian
@@ -0,0 +1,27 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-baredebian
+
+t-dependencies quilt git-debpush
+
+t-debpolicy
+
+t-setup-import baredebian
+
+cd $p
+
+baredebian-test-vars
+t-tagupl-settings
+
+baredebian-test-minimum
+baredebian-test-core-prepush
+
+tagname=test-dummy/$v
+t-tagupl-test --baredebian
+
+git branch split.p dgit/dgit/sid # we didn't generate this here
+
+baredebian-test-core-postpush
+
+t-ok